import React from 'react';
import { Icon } from 'antd';
import IconFont from './IconFont';
import styles from './styles.less';

const CustomIcon = props => {
    const { type, iconFontType } = props;
    const isHttp = /^((https|http)?:\/\/)[^\s]+/.test(type);
    if (iconFontType) {
        return <IconFont type={iconFontType} />
    }
    return isHttp ? <img src={type} alt="icon" className={`${styles.iconCls}`} /> : <Icon type={type} />

};
export default CustomIcon